Bug 1415198 - [Patch] Sort the output of 'rhui-manager client labels' by default
Summary: [Patch] Sort the output of 'rhui-manager client labels' by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Tools
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHUI Bug List
QA Contact: Vratislav Hutsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 14:30 UTC by Satoru SATOH
Modified: 2020-12-14 08:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-26 13:50:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
An experimental patch to sort the output of 'rhui-manager client labels' (596 bytes, patch)
2017-01-20 14:30 UTC, Satoru SATOH
no flags Details | Diff
An experimental patch to sort the output of 'rhui-manager client labels', another more aggressive one to sort the original list w/ some refactoring (3.86 KB, patch)
2017-01-20 16:21 UTC, Satoru SATOH
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0347 0 normal SHIPPED_LIVE RHUI 3.0.2 bug fix update 2018-02-26 18:50:48 UTC

Description Satoru SATOH 2017-01-20 14:30:05 UTC
Created attachment 1242825 [details]
An experimental patch to sort the output of 'rhui-manager client labels'

Description of problem:
Currently, output by 'rhui-manager client lables' is a random list of
repo labels and hard to find the labels to make client config rpm later.

Version-Release number of selected component (if applicable): 3.0 Beta.2

How reproducible: Always

Steps to Reproduce: Just run 'rhui-manager client labels' after uploading
the RH content cert.

Actual results: A random list of repo lables are shown.

Expected results: A sorted repo labels are shown.

Additional info:
Just a few lines of code changes (I will attach the patch later)
can improve this like the following and I guess there is no negative impacts:

[root@rhua-3-1 commands]# rhui-manager client labels
jb-ews-5-for-rhel-6-server-rhui-beta-debug-rpms
jb-ews-5-for-rhel-6-server-rhui-beta-rpms
jb-ews-5-for-rhel-6-server-rhui-beta-source-rpms
jb-ews-5-for-rhel-6-server-rhui-debug-rpms
jb-ews-5-for-rhel-6-server-rhui-source-rpms
jbeap-5-for-rhel-6-server-rhui-debug-rpms
jbeap-5-for-rhel-6-server-rhui-rpms
jbeap-5-for-rhel-6-server-rhui-source-rpms
jbeap-6-for-rhel-6-server-rhui-debug-rpms
jbeap-6-for-rhel-6-server-rhui-rpms
jbeap-6-for-rhel-6-server-rhui-source-rpms
rh-vsa-1.0-for-rhel-6-server-rhui-debug-rpms
rh-vsa-1.0-for-rhel-6-server-rhui-rpms
rh-vsa-1.0-for-rhel-6-server-rhui-source-rpms
rhel-5-server-rhui-beta-debug-rpms
rhel-5-server-rhui-beta-isos
rhel-5-server-rhui-beta-rpms
rhel-5-server-rhui-beta-source-isos
rhel-5-server-rhui-beta-source-rpms
rhel-5-server-rhui-debug-rpms
rhel-5-server-rhui-eus-debug-rpms
rhel-5-server-rhui-eus-isos
rhel-5-server-rhui-eus-productivity-debug-rpms
rhel-5-server-rhui-eus-productivity-rpms
rhel-5-server-rhui-eus-productivity-source-rpms
rhel-5-server-rhui-eus-rh-common-debuginfo
rhel-5-server-rhui-eus-rh-common-isos
rhel-5-server-rhui-eus-rh-common-rpms
rhel-5-server-rhui-eus-rh-common-source-rpms
rhel-5-server-rhui-eus-rpms
rhel-5-server-rhui-eus-satellite-tools-6.1-debuginfo
rhel-5-server-rhui-eus-satellite-tools-6.1-rpms
rhel-5-server-rhui-eus-satellite-tools-6.1-source-rpms
rhel-5-server-rhui-eus-source-isos
rhel-5-server-rhui-eus-source-rpms
rhel-5-server-rhui-eus-supplementary-debuginfo
rhel-5-server-rhui-eus-supplementary-isos
rhel-5-server-rhui-eus-supplementary-rpms
rhel-5-server-rhui-eus-supplementary-source-rpms
rhel-5-server-rhui-grid-debug-rpms
rhel-5-server-rhui-grid-rpms
rhel-5-server-rhui-grid-source-rpms
rhel-5-server-rhui-isos
rhel-5-server-rhui-productivity-debug-rpms
rhel-5-server-rhui-productivity-rpms
rhel-5-server-rhui-productivity-source-rpms
rhel-5-server-rhui-rh-common-beta-debug-rpms
rhel-5-server-rhui-rh-common-beta-rpms
rhel-5-server-rhui-rh-common-beta-source-rpms
rhel-5-server-rhui-rh-common-debug-rpms
rhel-5-server-rhui-rh-common-rpms
rhel-5-server-rhui-rh-common-source-rpms
rhel-5-server-rhui-rpms
rhel-5-server-rhui-satellite-tools-6-beta-debug-rpms
rhel-5-server-rhui-satellite-tools-6-beta-rpms
rhel-5-server-rhui-satellite-tools-6-beta-source-rpms
rhel-5-server-rhui-satellite-tools-6.1-debug-rpms
rhel-5-server-rhui-satellite-tools-6.1-rpms
rhel-5-server-rhui-satellite-tools-6.1-source-rpms
rhel-5-server-rhui-satellite-tools-6.2-debug-rpms
rhel-5-server-rhui-satellite-tools-6.2-rpms
rhel-5-server-rhui-satellite-tools-6.2-source-rpms
rhel-5-server-rhui-source-isos
rhel-5-server-rhui-source-rpms
rhel-5-server-rhui-supplementary-beta-debug-rpms
rhel-5-server-rhui-supplementary-beta-isos
rhel-5-server-rhui-supplementary-beta-rpms
rhel-5-server-rhui-supplementary-beta-source-rpms
rhel-5-server-rhui-supplementary-debug-rpms
rhel-5-server-rhui-supplementary-isos
rhel-5-server-rhui-supplementary-rpms
rhel-5-server-rhui-supplementary-source-rpms
rhel-6-server-rhui-3-beta-debug-rpms
rhel-6-server-rhui-3-beta-isos
rhel-6-server-rhui-3-beta-rpms
rhel-6-server-rhui-3-beta-source-rpms
rhel-6-server-rhui-beta-debug-rpms
rhel-6-server-rhui-beta-isos
rhel-6-server-rhui-beta-rpms
rhel-6-server-rhui-beta-source-isos
rhel-6-server-rhui-beta-source-rpms
rhel-6-server-rhui-debug-rpms
rhel-6-server-rhui-eus-debug-rpms
rhel-6-server-rhui-eus-isos
rhel-6-server-rhui-eus-rpms
rhel-6-server-rhui-eus-satellite-tools-6.2-debuginfo
rhel-6-server-rhui-eus-satellite-tools-6.2-rpms
rhel-6-server-rhui-eus-satellite-tools-6.2-source-rpms
rhel-6-server-rhui-eus-source-isos
rhel-6-server-rhui-eus-source-rpms
rhel-6-server-rhui-eus-supplementary-debuginfo
rhel-6-server-rhui-eus-supplementary-isos
rhel-6-server-rhui-eus-supplementary-rpms
rhel-6-server-rhui-eus-supplementary-source-rpms
rhel-6-server-rhui-extras-debug-rpms
rhel-6-server-rhui-extras-rpms
rhel-6-server-rhui-extras-source-rpms
rhel-6-server-rhui-grid-debug-rpms
rhel-6-server-rhui-grid-rpms
rhel-6-server-rhui-grid-source-rpms
rhel-6-server-rhui-isos
rhel-6-server-rhui-optional-beta-debug-rpms
rhel-6-server-rhui-optional-beta-rpms
rhel-6-server-rhui-optional-beta-source-rpms
rhel-6-server-rhui-optional-debug-rpms
rhel-6-server-rhui-optional-rpms
rhel-6-server-rhui-optional-source-rpms
rhel-6-server-rhui-rh-common-beta-debug-rpms
rhel-6-server-rhui-rh-common-beta-rpms
rhel-6-server-rhui-rh-common-beta-source-rpms
rhel-6-server-rhui-rh-common-debug-rpms
rhel-6-server-rhui-rh-common-rpms
rhel-6-server-rhui-rh-common-source-rpms
rhel-6-server-rhui-rpms
rhel-6-server-rhui-satellite-tools-6.2-debug-rpms
rhel-6-server-rhui-satellite-tools-6.2-rpms
rhel-6-server-rhui-satellite-tools-6.2-source-rpms
rhel-6-server-rhui-source-isos
rhel-6-server-rhui-source-rpms
rhel-6-server-rhui-supplementary-beta-debug-rpms
rhel-6-server-rhui-supplementary-beta-isos
rhel-6-server-rhui-supplementary-beta-rpms
rhel-6-server-rhui-supplementary-beta-source-rpms
rhel-6-server-rhui-supplementary-debug-rpms
rhel-6-server-rhui-supplementary-isos
rhel-6-server-rhui-supplementary-rpms
rhel-6-server-rhui-supplementary-source-rpms
rhel-6.1-server-rhui-for-vsa-debug-rpms
rhel-6.1-server-rhui-for-vsa-rpms
rhel-6.1-server-rhui-for-vsa-source-rpms
rhel-6.2-rhui-server-for-rhs-2.0-debug-rpms
rhel-6.2-rhui-server-for-rhs-2.0-rpms
rhel-6.2-rhui-server-for-rhs-2.0-source-rpms
rhel-6.2-scalefs-rhui-server-for-rhs-2.0-debug-rpms
rhel-6.2-scalefs-rhui-server-for-rhs-2.0-rpms
rhel-6.2-scalefs-rhui-server-for-rhs-2.0-source-rpms
rhel-6.4-rhui-server-for-rhs-2.1-debug-rpms
rhel-6.4-rhui-server-for-rhs-2.1-rpms
rhel-6.4-rhui-server-for-rhs-2.1-source-rpms
rhel-6.4-scalefs-rhui-server-for-rhs-2.1-debug-rpms
rhel-6.4-scalefs-rhui-server-for-rhs-2.1-rpms
rhel-6.4-scalefs-rhui-server-for-rhs-2.1-source-rpms
rhel-7-public-beta-rhui-debug-rpms
rhel-7-public-beta-rhui-rpms
rhel-7-public-beta-rhui-source-rpms
rhel-7-server-rhui-3-beta-debug-rpms
rhel-7-server-rhui-3-beta-isos
rhel-7-server-rhui-3-beta-rpms
rhel-7-server-rhui-3-beta-source-rpms
rhel-7-server-rhui-beta-debug-rpms
rhel-7-server-rhui-beta-isos
rhel-7-server-rhui-beta-rpms
rhel-7-server-rhui-beta-source-isos
rhel-7-server-rhui-beta-source-rpms
rhel-7-server-rhui-debug-rpms
rhel-7-server-rhui-extras-debug-rpms
rhel-7-server-rhui-extras-rpms
rhel-7-server-rhui-extras-source-rpms
rhel-7-server-rhui-isos
rhel-7-server-rhui-optional-beta-debug-rpms
rhel-7-server-rhui-optional-beta-rpms
rhel-7-server-rhui-optional-beta-source-rpms
rhel-7-server-rhui-optional-debug-rpms
rhel-7-server-rhui-optional-rpms
rhel-7-server-rhui-optional-source-rpms
rhel-7-server-rhui-rh-common-beta-debug-rpms
rhel-7-server-rhui-rh-common-beta-rpms
rhel-7-server-rhui-rh-common-beta-source-rpms
rhel-7-server-rhui-rh-common-debug-rpms
rhel-7-server-rhui-rh-common-rpms
rhel-7-server-rhui-rh-common-source-rpms
rhel-7-server-rhui-rpms
rhel-7-server-rhui-satellite-tools-6-beta-debug-rpms
rhel-7-server-rhui-satellite-tools-6-beta-rpms
rhel-7-server-rhui-satellite-tools-6-beta-source-rpms
rhel-7-server-rhui-satellite-tools-6.1-debug-rpms
rhel-7-server-rhui-satellite-tools-6.1-rpms
rhel-7-server-rhui-satellite-tools-6.1-source-rpms
rhel-7-server-rhui-satellite-tools-6.2-debug-rpms
rhel-7-server-rhui-satellite-tools-6.2-rpms
rhel-7-server-rhui-satellite-tools-6.2-source-rpms
rhel-7-server-rhui-source-isos
rhel-7-server-rhui-source-rpms
rhel-7-server-rhui-supplementary-beta-debug-rpms
rhel-7-server-rhui-supplementary-beta-isos
rhel-7-server-rhui-supplementary-beta-rpms
rhel-7-server-rhui-supplementary-beta-source-rpms
rhel-7-server-rhui-supplementary-debug-rpms
rhel-7-server-rhui-supplementary-isos
rhel-7-server-rhui-supplementary-rpms
rhel-7-server-rhui-supplementary-source-rpms
rhel-ha-for-rhel-5-server-rhui-beta-debug-rpms
rhel-ha-for-rhel-5-server-rhui-beta-rpms
rhel-ha-for-rhel-5-server-rhui-beta-source-rpms
rhel-ha-for-rhel-5-server-rhui-debug-rpms
rhel-ha-for-rhel-5-server-rhui-rpms
rhel-ha-for-rhel-5-server-rhui-source-rpms
rhel-ha-for-rhel-6-server-rhui-beta-debug-rpms
rhel-ha-for-rhel-6-server-rhui-beta-rpms
rhel-ha-for-rhel-6-server-rhui-beta-source-rpms
rhel-ha-for-rhel-6-server-rhui-debug-rpms
rhel-ha-for-rhel-6-server-rhui-rpms
rhel-ha-for-rhel-6-server-rhui-source-rpms
rhel-ha-for-rhel-7-server-rhui-beta-debug-rpms
rhel-ha-for-rhel-7-server-rhui-beta-rpms
rhel-ha-for-rhel-7-server-rhui-beta-source-rpms
rhel-ha-for-rhel-7-server-rhui-debug-rpms
rhel-ha-for-rhel-7-server-rhui-rpms
rhel-ha-for-rhel-7-server-rhui-source-rpms
rhel-hpn-for-rhel-6-server-rhui-beta-debug-rpms
rhel-hpn-for-rhel-6-server-rhui-beta-rpms
rhel-hpn-for-rhel-6-server-rhui-beta-source-rpms
rhel-hpn-for-rhel-6-server-rhui-debug-rpms
rhel-hpn-for-rhel-6-server-rhui-rpms
rhel-hpn-for-rhel-6-server-rhui-source-rpms
rhel-lb-for-rhel-6-server-rhui-beta-debug-rpms
rhel-lb-for-rhel-6-server-rhui-beta-rpms
rhel-lb-for-rhel-6-server-rhui-beta-source-rpms
rhel-lb-for-rhel-6-server-rhui-debug-rpms
rhel-lb-for-rhel-6-server-rhui-rpms
rhel-lb-for-rhel-6-server-rhui-source-rpms
rhel-rs-for-rhel-5-server-rhui-beta-debug-rpms
rhel-rs-for-rhel-5-server-rhui-beta-rpms
rhel-rs-for-rhel-5-server-rhui-beta-source-rpms
rhel-rs-for-rhel-5-server-rhui-debug-rpms
rhel-rs-for-rhel-5-server-rhui-rpms
rhel-rs-for-rhel-5-server-rhui-source-rpms
rhel-rs-for-rhel-6-server-rhui-beta-debug-rpms
rhel-rs-for-rhel-6-server-rhui-beta-rpms
rhel-rs-for-rhel-6-server-rhui-beta-source-rpms
rhel-rs-for-rhel-6-server-rhui-debug-rpms
rhel-rs-for-rhel-6-server-rhui-rpms
rhel-rs-for-rhel-6-server-rhui-source-rpms
rhel-rs-for-rhel-7-server-rhui-beta-debug-rpms
rhel-rs-for-rhel-7-server-rhui-beta-rpms
rhel-rs-for-rhel-7-server-rhui-beta-source-rpms
rhel-rs-for-rhel-7-server-rhui-debug-rpms
rhel-rs-for-rhel-7-server-rhui-rpms
rhel-rs-for-rhel-7-server-rhui-source-rpms
rhel-scalefs-for-rhel-5-server-rhui-beta-debug-rpms
rhel-scalefs-for-rhel-5-server-rhui-beta-rpms
rhel-scalefs-for-rhel-5-server-rhui-beta-source-rpms
rhel-scalefs-for-rhel-5-server-rhui-debug-rpms
rhel-scalefs-for-rhel-5-server-rhui-rpms
rhel-scalefs-for-rhel-5-server-rhui-source-rpms
rhel-scalefs-for-rhel-6-server-rhui-beta-debug-rpms
rhel-scalefs-for-rhel-6-server-rhui-beta-rpms
rhel-scalefs-for-rhel-6-server-rhui-beta-source-rpms
rhel-scalefs-for-rhel-6-server-rhui-debug-rpms
rhel-scalefs-for-rhel-6-server-rhui-rpms
rhel-scalefs-for-rhel-6-server-rhui-source-rpms
rhel-server-rhscl-6-rhui-debug-rpms
rhel-server-rhscl-6-rhui-rpms
rhel-server-rhscl-6-rhui-source-rpms
rhel-server-rhui-rhscl-7-debug-rpms
rhel-server-rhui-rhscl-7-rpms
rhel-server-rhui-rhscl-7-source-rpms
rhel-x86_64-5-rhui-1-debug-rpms
rhel-x86_64-5-rhui-1-isos
rhel-x86_64-5-rhui-1-rpms
rhel-x86_64-5-rhui-1-source-rpms
rhel-x86_64-6-rhui-2-debug-rpms
rhel-x86_64-6-rhui-2-isos
rhel-x86_64-6-rhui-2-rpms
rhel-x86_64-6-rhui-2-source-rpms
rhs-2.0-for-rhel-6-rhui-server-debug-rpms
rhs-2.0-for-rhel-6-rhui-server-rpms
rhs-2.0-for-rhel-6-rhui-server-source-rpms
rhs-2.1-for-rhel-6-rhui-server-debug-rpms
rhs-2.1-for-rhel-6-rhui-server-rpms
rhs-2.1-for-rhel-6-rhui-server-source-rpms
[root@rhua-3-1 commands]#

Comment 4 Satoru SATOH 2017-01-20 16:21:29 UTC
Created attachment 1242924 [details]
An experimental patch to sort the output of 'rhui-manager client labels', another more aggressive one to sort the original list w/ some refactoring

Comment 10 errata-xmlrpc 2018-02-26 13:50:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0347


Note You need to log in before you can comment on or make changes to this bug.